## ros-rolling-ament-cmake-pytest 1.2.1

=== debian/changelog ===
ros-rolling-ament-cmake-pytest (1.2.1-1focal) focal; urgency=high

  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#362 <https://github.com/ament/ament_cmake/issues/362>)
  * Fix misleading comment (#361 <https://github.com/ament/ament_cmake/issues/361>)
  * Contributors: Audrow Nash, Tim Clephas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-ament-cmake-pytest (1.2.0-1focal) focal; urgency=high

  * Use FindPython3 instead of FindPythonInterp (#355 <https://github.com/ament/ament_cmake/issues/355>)
  * Support commands with executable targets (#352 <https://github.com/ament/ament_cmake/issues/352>)
  * Mention other platforms in 'pytest/pytest-cov not found' warning (#337 <https://github.com/ament/ament_cmake/issues/337>)
  * Update maintainers (#336 <https://github.com/ament/ament_cmake/issues/336>)
  * Contributors: Chris Lalancette, Christophe Bedard, Shane Loretz

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 29 Oct 2021 07:00:00 -0000

ros-rolling-ament-cmake-pytest (1.1.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 May 2021 07:00:00 -0000

ros-rolling-ament-cmake-pytest (1.1.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 09 Mar 2021 08:00:00 -0000

ros-rolling-ament-cmake-pytest (1.1.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 27 Feb 2021 06:59:00 -0000

ros-rolling-ament-cmake-pytest (1.1.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 27 Feb 2021 03:12:00 -0000

ros-rolling-ament-cmake-pytest (1.1.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 24 Feb 2021 08:00:00 -0000

ros-rolling-ament-cmake-pytest (1.0.4-1focal) focal; urgency=high

  * Fix ament_get_pytest_cov_version for newer versions of pytest (#315 <https://github.com/ament/ament_cmake/issues/315>)
  * Contributors: Christophe Bedard

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-ament-cmake-pytest (1.0.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Dec 2020 08:00:00 -0000

ros-rolling-ament-cmake-pytest (1.0.2-1focal) focal; urgency=high

  * Update package maintainers. (#286 <https://github.com/ament/ament_cmake/issues/286>)
  * Contributors: Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 07 Dec 2020 08:00:00 -0000

ros-rolling-ament-cmake-pytest (1.0.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Sep 2020 07:00:00 -0000

ros-rolling-ament-cmake-pytest (1.0.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 22 Jul 2020 07:00:00 -0000

ros-rolling-ament-cmake-pytest (0.9.6-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 23 Jun 2020 07:00:00 -0000

ros-rolling-ament-cmake-pytest (0.9.5-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 02 Jun 2020 07:00:00 -0000

ros-rolling-ament-cmake-pytest (0.9.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-ament-cmake-pytest (0.9.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 19 May 2020 07:00:00 -0000

ros-rolling-ament-cmake-pytest (0.9.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 07 May 2020 07:00:00 -0000

ros-rolling-ament-cmake-pytest (0.9.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Apr 2020 22:45:00 -0000

ros-rolling-ament-cmake-pytest (0.9.0-1focal) focal; urgency=high

  * Enable coverage information generation for pytest tests with CMake (#226 <https://github.com/ament/ament_cmake/issues/226>)
    * Enable coverage information generation for pytest tests with CMake
    * Add comment about pytest-cov version requirement for --cov-branch
    * Add --pytest-with-coverage to run_test.py and mention the env var
    * Rename to AMENT_CMAKE_TEST_PYTEST_WITH_COVERAGE
    * Fix missing quote
    * Exclude gtests from pytest coverage explicitly
    They were excluded before, but only because gtests didn't use --env or --append-end.
    * Append pytest-cov flags in ament_add_pytest_test() directly
    * Fix ament_has_pytest_cov()
    * Change default logic to avoid overriding CLI params
    * Remove --cov-append pytest_cov option
    * Simplify indentation
    * Remove QUIET arg from ament_has_pytest_cov()
    * Change ament_has_pytest_cov() to ament_get_pytest_cov_version()
    * Do not return() if pytest_cov is not found in ament_add_pytest_test()
    * Fix missing empty <options> argument
    * Simplify pytest_cov version regex match
    * Write pytest_cov results to test-specific directory
    * Make sure to create test-specific pytest_cov directory
  * Contributors: Christophe Bedard

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Apr 2020 19:25:00 -0000

ros-rolling-ament-cmake-pytest (0.8.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-ament-cmake-pytest (0.8.0-1focal) focal; urgency=high

  * Add runner option to ament_add_test (#174 <https://github.com/ament/ament_cmake/issues/174>)
    * ament_cmake allow speficiation of a different test runner
    - By default, still uses run_test.py
    - Example use case: ament_cmake_ros can use a test runner that sets a ROS_DOMAIN_ID
    * ament_cmake move run_test.py to a python module
    - This should let us see the history
    * ament_cmake refactor run_test.py into an importable python module
    - Adds an ament_cmake_test python package
  * Add WERROR option to ament_add_pytest_test (#168 <https://github.com/ament/ament_cmake/issues/168>)
    This has the benefit of making deprecation warnings visible, which are not by default.
    Default value for the option is OFF.

