## ros-rolling-ament-cmake-pytest 2.3.0

=== debian/changelog ===
ros-rolling-ament-cmake-pytest (2.3.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-ament-cmake-pytest (2.2.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-ament-cmake-pytest (2.2.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 21 Jun 2023 00:00:00 -0000

ros-rolling-ament-cmake-pytest (2.2.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-ament-cmake-pytest (2.1.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 26 Apr 2023 00:00:00 -0000

ros-rolling-ament-cmake-pytest (2.0.2-1jammy) jammy; urgency=high

  * Fix test skipping logic for missing pytest module (#441 <https://github.com/ament/ament_cmake/issues/441>)
  * Add missing buildtool_depend on python3-pytest (#440 <https://github.com/ament/ament_cmake/issues/440>)
  * Contributors: Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-ament-cmake-pytest (2.0.1-1jammy) jammy; urgency=high

  * ament_cmake_pytest needs a buildtool_depend on ament_cmake_test. (#439 <https://github.com/ament/ament_cmake/issues/439>)
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-ament-cmake-pytest (2.0.0-1jammy) jammy; urgency=high

  * Fix pytest-cov version detection with pytest >=7.0.0 (#436 <https://github.com/ament/ament_cmake/issues/436>)
  * use the error handler replace to allow non-utf8 to be decoded (#381 <https://github.com/ament/ament_cmake/issues/381>)
  * Contributors: Christophe Bedard, El Jawad Alaa

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-ament-cmake-pytest (1.5.3-1jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#411 <https://github.com/ament/ament_cmake/issues/411>)
    * Update maintainers to Michael Jeronimo
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 13 Feb 2023 00:00:00 -0000

ros-rolling-ament-cmake-pytest (1.5.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-ament-cmake-pytest (1.5.1-1jammy) jammy; urgency=high

  * Add NOCAPTURE option to ament_add_pytest_test (#393 <https://github.com/ament/ament_cmake/issues/393>)
  * Contributors: Jacob Perron

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-ament-cmake-pytest (1.5.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 11 Jul 2022 00:00:00 -0000

ros-rolling-ament-cmake-pytest (1.4.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-ament-cmake-pytest (1.3.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-rolling-ament-cmake-pytest (1.3.0-1jammy) jammy; urgency=high

  * Update forthcoming version in changelog
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Feb 2022 00:00:00 -0000

ros-rolling-ament-cmake-pytest (1.2.1-1jammy) jammy; urgency=high

  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#362 <https://github.com/ament/ament_cmake/issues/362>)
  * Fix misleading comment (#361 <https://github.com/ament/ament_cmake/issues/361>)
  * Contributors: Audrow Nash, Tim Clephas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-ament-cmake-pytest (1.2.0-1jammy) jammy; urgency=high

  * Use FindPython3 instead of FindPythonInterp (#355 <https://github.com/ament/ament_cmake/issues/355>)
  * Support commands with executable targets (#352 <https://github.com/ament/ament_cmake/issues/352>)
  * Mention other platforms in 'pytest/pytest-cov not found' warning (#337 <https://github.com/ament/ament_cmake/issues/337>)
  * Update maintainers (#336 <https://github.com/ament/ament_cmake/issues/336>)
  * Contributors: Chris Lalancette, Christophe Bedard, Shane Loretz

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 29 Oct 2021 00:00:00 -0000

ros-rolling-ament-cmake-pytest (1.1.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 06 May 2021 00:00:00 -0000

ros-rolling-ament-cmake-pytest (1.1.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 09 Mar 2021 00:00:00 -0000

ros-rolling-ament-cmake-pytest (1.1.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 26 Feb 2021 22:59:00 -0000

ros-rolling-ament-cmake-pytest (1.1.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 26 Feb 2021 19:12:00 -0000

ros-rolling-ament-cmake-pytest (1.1.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 24 Feb 2021 00:00:00 -0000

ros-rolling-ament-cmake-pytest (1.0.4-1jammy) jammy; urgency=high

  * Fix ament_get_pytest_cov_version for newer versions of pytest (#315 <https://github.com/ament/ament_cmake/issues/315>)
  * Contributors: Christophe Bedard

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-ament-cmake-pytest (1.0.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 10 Dec 2020 00:00:00 -0000

ros-rolling-ament-cmake-pytest (1.0.2-1jammy) jammy; urgency=high

  * Update package maintainers. (#286 <https://github.com/ament/ament_cmake/issues/286>)
  * Contributors: Michel Hidalgo


